#### D.5.2.52 part

Procedure from library `chern.lib` (see chern_lib).

Usage:
  part( m, n ); m positive integer, n non-negative integer

Return:
  list of lists

Purpose:
  computes all partitions of integers not exceeding n into m non-negative summands

Note:
  if n is negative or m is non-positive, the list with one empty entry is returned

Example:

    LIB "chern.lib";
    // partitions into 3 summands of numbers not exceeding 1
    print( part(3, 1) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.